# Class SSIFsize

java.lang.Object
org.apache.catalina.ssi.SSIFsize

All Implemented Interfaces:
  `SSICommand`

public final class SSIFsize extends Object implements SSICommand
Implements the Server-side #fsize command

Author:
  Bip Thelin, Paul Speed, Dan Sandberg, David Becker

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SSIFsize()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `padLeft(String str, int maxChars)`
  `long`
  `process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)`
  Write the output of the command to the writer.
  `String`
  `repeat(char aChar, int numChars)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SSIFsize

    public SSIFsize()

- ## Method Details

  - ### process

    public long process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)
    Description copied from interface: `SSICommand`
    Write the output of the command to the writer.
    Specified by:
      `process` in interface `SSICommand`
    Parameters:
      `ssiMediator` - the ssi mediator
      `commandName` - the name of the actual command ( ie. echo )
      `paramNames` - The parameter names
      `paramValues` - The parameter values
      `writer` - the writer to output to
    Returns:
      the most current modified date resulting from any SSI commands

  - ### repeat

    public String repeat(char aChar, int numChars)

  - ### padLeft

    public String padLeft(String str, int maxChars)